%global version_major 8
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}

Name:           gz-sensors
Version:        8.0.1
Release:        1%{?dist}
Summary:        Sensor models for simulation

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 

BuildRequires:  cmake
BuildRequires:  cppzmq-devel
BuildRequires:  eigen3-static
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-common-devel >= 5
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-msgs-devel >= 10
BuildRequires:  gz-rendering-devel >= 8
BuildRequires:  gz-transport-devel >= 13
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  libuuid-devel
BuildRequires:  make
BuildRequires:  protobuf-devel
BuildRequires:  sdformat-devel >= 14
BuildRequires:  tinyxml2-devel
# Documentation
BuildRequires:  doxygen


%description
Gazebo Sensors, a component of Gazebo, provides numerous sensor models designed
to generate realistic data from simulation environments. Gazebo Sensors is used
in conjunction with Gazebo Libraries, and especially relies on the rendering
capabilities from Gazebo Rendering and physics simulation from Gazebo Physics.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON
%cmake_build


%install
%cmake_install

%check
%ctest || exit 0

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 8.0.1-1
- Initial package
